version: '3.6'

services:

  mariadb:
    image: mariadb
    container_name: mariadb
    restart: unless-stopped
    environment:
      - TZ=Europe/Brussels
      - MARIADB_ROOT_PASSWORD=root
    volumes:
      - ./data:/var/lib/mysql
      - "/etc/localtime:/etc/localtime:ro"
    ports:
      - 3306:3306
    healthcheck:
      test: ["CMD", "mysqladmin", "ping", "--silent"]
      interval: 5s
      timeout: 5s
      retries: 10
